/***************************************************************************
 *   emd - Ellipsoids Molecular Dynamics                                   *
 *                                                                         *
 *   Copyright (C) 2006 by Mehrtash Babadi                                 *
 *   mehrtash@dena.sharif.edu                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/***************************************************************************/

#define VERSION_STRING              "0.2a"

/**** dynamics.cpp *********************************************************/

//#define BOLZ_CONST                   0.00198622 (in kcal/mol.k)

#define BOLZ_CONST                   1.0
#define INV_SQRT_THREE               0.57735026918962576451

/**** int_ees_uni.cpp ******************************************************/

#define OVERFLOW_ENERGY_EES_INT      1000

#define DEF_EES_MAX_NEIGHBORS        100
#define DEF_EES_R_C                  10
#define DEF_EES_R_S                  2
#define DEF_EES_MAX_OFFSET           2.5

/**** int_ees_uni.cpp ******************************************************/

#define DEF_RE2_MAX_NEIGHBORS        10
#define DEF_RE2_R_C                  10
#define DEF_RE2_R_S                  2
#define DEF_RE2_MAX_OFFSET           2.5

/**** int_gb_uni.cpp *******************************************************/

#define DEF_GB_MAX_NEIGHBORS        10
#define DEF_GB_R_C                  10
#define DEF_GB_R_S                  2
#define DEF_GB_MAX_OFFSET           2.5

/**** moluniverse.cpp ******************************************************/

#define TO_RAD                       0.01745329251994329577

/**** paramdb.cpp **********************************************************/

//#define MASS_FACTOR                  2390.0 (from gr/mol to internal)

#define MASS_FACTOR                  1.0

/**** universesaver.cpp ****************************************************/

#define TO_DEG                       57.2957795130823208768

