/***************************************************************************
 *   emd - Ellipsoids Molecular Dynamics                                   *
 *                                                                         *
 *   Copyright (C) 2006 by Mehrtash Babadi                                 *
 *   mehrtash@dena.sharif.edu                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iostream>

#include "consts.h"
#include "dynamics_job_manager.h"

using namespace std;

/*** definitions ***********************************************************/

static   string                           input_file_path;
static   bool                             input_file_path_spec     = false;

/*** implementations *******************************************************/

int main(int argc, char *argv[])
{

  /* splash */
  cout << "Ellipsoids Molecular Dynamics [Simulation module] (" << VERSION_STRING << ")" << endl
       << "Kopyleft (k) 2006-2007 Mehrtash Babadi (mehrtash@physics.sharif.edu)" << endl << endl;

  bool stat = true;  /* sufficient arguments */

  if (argc<2)
    stat = false;

  int ctr = 1;
  while (stat && (ctr < argc))
  {

    if ( (string(argv[ctr])=="-i") && (argc>ctr) )
    {
      ctr++;
      input_file_path = argv[ctr];
      input_file_path_spec = true;
    }
    else
      stat = false;

    ctr++;

  }

  if (!input_file_path_spec)
    stat = false;

  if (!stat)
  {
    cout << "usage: emd-cli [OPTIONS]" << endl << endl
         << "       -i <input_file_path>   the path of the configuration file" << endl << endl;
    return EXIT_FAILURE;
  }


  emd::dynman::load_file(input_file_path);

  emd::dynman::start();
  emd::dynman::stop();

  return EXIT_SUCCESS;
}
