/***************************************************************************
 *   emd - Ellipsoids Molecular Dynamics                                   *
 *                                                                         *
 *   Copyright (C) 2006 by Mehrtash Babadi                                 *
 *   mehrtash@dena.sharif.edu                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iostream>
#include <cstdlib>
#include <sstream>

#include <gsl/gsl_vector.h>
#include <gsl/gsl_matrix.h>

#include <consts.h>
#include <moluniverse.h>
#include <gslext.h>
#include <paramdb.h>
#include <dynamics.h>
#include <universesaver.h>
#include <int_ees_comp.h>
#include <dynamics_job_manager.h>

#include <geom.h>
#include <set>
#include <neighbor_data.h>

using namespace _STL;
using namespace emd::uni;

int main(int argc, char *argv[])
{

  /* splash */
  cout << endl;
  cout << "EMD: Ellipsoids Molecular Dynamics (" << VERSION_STRING << ")" << endl;
  cout << "Kopyleft (k) 2006" << endl;
  cout << "-----------------" << endl;

  emd::dynman::load_file("/home/ejtehadi1/emd/workspace/new_uni.dyn");

  emd::dynman::start();
  emd::dynman::stop();
//  emd::uni::saver::save_scaled_universe_to_file(1.05, "/home/dt/codes/cpp/emd/workspace/new_uni_scaled2.dyn");

  return EXIT_SUCCESS;
}
