/***************************************************************************
 *   emd - Ellipsoids Molecular Dynamics                                   *
 *                                                                         *
 *   Copyright (C) 2006 by Mehrtash Babadi                                 *
 *   mehrtash@dena.sharif.edu                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/***************************************************************************
 * todo:                                                                   *
 * - max_offset automatic evaluations                                      *
 *                                                                         *
 ***************************************************************************/

#ifndef INT_DIPOLE_UNI_H
#define INT_DIPOLE_UNI_H

#include <iostream>
#include <iomanip>
#include <vector>

#include <gsl/gsl_vector.h>
#include <gsl/gsl_blas.h>

#include "consts.h"
#include "gslext.h"
#include "surface.h"
#include "rigid_body.h"
#include "paramdb.h"
#include "neighbor_data.h"
#include "moluniverse.h"

/****************************************/

#include "int_dipole_comp.h"

/****************************************/

#define CHECK_OVERFLOW_DIPOLE_INT

/****************************************/

namespace emd
{

namespace uni
{

namespace dipole
{

  double eval_dipole(const bool& dyn);

  /* evaluate the dipole interactions of a single body */
  double eval_dipole_single(const int& m1, const bool& dyn);

  int free_memory();

}; /* dipole */

}; /* uni */

}; /* emd */

#endif /* INT_DIPOLE_UNI_H */
