/***************************************************************************
 *   emd - Ellipsoids Molecular Dynamics                                   *
 *                                                                         *
 *   Copyright (C) 2006 by Mehrtash Babadi                                 *
 *   mehrtash@dena.sharif.edu                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef NEIGHBOR_DATA_H
#define NEIGHBOR_DATA_H

#include <iostream>
#include <vector>
#include <rigid_body.h>

namespace emd
{

namespace uni
{

  /***** neighbor type ****************************************************************/

  enum neighbor_type
  {
    NT_RIGID_MOLECULE,
    NT_FLAT_INT_SURFACE,
    NT_SPHERICAL_INT_SURFACE
  };

  /***** neighbor data ****************************************************************/

  struct neighbor_data
  {

    neighbor_type         n_type;         /* neighbor type */

    unsigned int          idx;            /* neighbor index */
    double                int_energy;     /* interaction energy */

    int                   img_x;          /* x image number */
    int                   img_y;          /* y image number */
    int                   img_z;          /* z image number */

  };

};

};

#endif
