/***************************************************************************
 *   emd - Ellipsoids Molecular Dynamics                                   *
 *                                                                         *
 *   Copyright (C) 2006 by Mehrtash Babadi                                 *
 *   mehrtash@dena.sharif.edu                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <stringext.h>

using namespace std;

int std::string_next_token(const string & in, const size_t & curr_ptr, size_t & begin_ptr,
  size_t & end_ptr)
{

  size_t len = in.length();
  size_t mov = 0;

  while (mov+curr_ptr<len && (in[mov+curr_ptr]==32 || in[mov+curr_ptr]==9))
    mov++;

  begin_ptr = curr_ptr+mov;

  while (mov+curr_ptr<len && !(in[mov+curr_ptr]==32 || in[mov+curr_ptr]==9))
    mov++;

  end_ptr = curr_ptr+mov-1;

  if (end_ptr<begin_ptr)
    return EXIT_FAILURE; /* fail */

  return EXIT_SUCCESS;

};

void std::string_tokenize(const string& in, vector<string>& out)
{

  size_t curr_ptr, begin_ptr, end_ptr;

  curr_ptr = 0;

  while (string_next_token(in, curr_ptr, begin_ptr, end_ptr)==EXIT_SUCCESS)
  {
    out.push_back(in.substr(begin_ptr, end_ptr-begin_ptr+1));
    curr_ptr = end_ptr+1;
 }

}

/* tolower() for strings */
string std::tolower(const string & in)
{
  string lower(in);
  for (int i=0; i<in.length(); i++)
    lower[i] = tolower(lower[i]);

  return lower;
}

/* toupper() for strings */
string std::toupper(const string & in)
{
  string upper(in);
  for (int i=0; i<in.length(); i++)
    upper[i] = toupper(upper[i]);

  return upper;

}
