/***************************************************************************
 *   emd - Ellipsoids Molecular Dynamics                                   *
 *                                                                         *
 *   Copyright (C) 2006 by Mehrtash Babadi                                 *
 *   mehrtash@dena.sharif.edu                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef STRINGEXT_H
#define STRINGEXT_H

#include <cstdlib>
#include <iostream>

#include <string>
#include <vector>

namespace std
{

  /* a simple string tokenizer */
  int string_next_token(const string& in, const size_t& curr_ptr, size_t& begin_ptr,
    size_t& end_ptr);

  /* tokenize and return all of the tokens */
  void string_tokenize(const string& in, vector<string>& out);

  /* tolower() for strings */
  string tolower(const string & in);

  /* toupper() for strings */
  string toupper(const string & in);

};

#endif
